


/* compiling spatial data for accessibility measures */


/* Instruments */

import dbase using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\elev_m.dbf", clear
rename RASTER elev_m
keep dwllid elev_m
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp1.dta", replace

import dbase using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp_jan.dbf", clear
rename RASTER temp_jan
keep dwllid temp_jan
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp2.dta", replace

import dbase using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\prec_jan.dbf", clear
rename RASTER prec_jan
keep dwllid prec_jan
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp3.dta", replace


/* connectivity measures */

import dbase using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\KM_CBD.dbf", clear
rename Distance KM_CBD
replace KM_CBD=KM_CBD/1000
keep dwllid KM_CBD C_CODE_BNG
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp4.dta", replace

import dbase using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\MtoTaxibe.dbf", clear
rename Distance MtoTaxibe
keep dwllid MtoTaxibe
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp5.dta", replace

import dbase using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\MtoSubUBus.dbf", clear
rename Distance MtoSubUBus
keep dwllid MtoSubUBus
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp6.dta", replace


/* MIN_CBD */
import delimited using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\MIN_CBD.txt", clear
generate dwllid=substr(name, 1, strpos(name," - ")-1 )
destring dwllid, replace
rename total_hr MIN_CBD
replace MIN_CBD=MIN_CBD*60
keep dwllid MIN_CBD
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp7.dta", replace


/* w_MIN_BUZ */
import dbase using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\Job_Areas_2.dbf", clear
rename AREA_KM2 JobArea
sum JobArea
generate total_JobArea=r(sum)
keep JobAreaID JobArea total_JobArea
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\JobArea.dta", replace

import delimited using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\HR_HH_JobArea.txt", clear
generate dwllid=substr(name, 1, strpos(name," - ")-1 )
generate JobAreaID=substr(name, strpos(name," - ")+3,.)
destring dwllid JobAreaID total_hr, replace
joinby JobAreaID using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\JobArea.dta", unmatched(master)
generate w_MIN_BUZ=total_hr*JobArea/total_JobArea
collapse (sum) w_MIN_BUZ, by(dwllid)
replace w_MIN_BUZ=w_MIN_BUZ*60
keep dwllid w_MIN_BUZ
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp8.dta", replace


/* w_MIN_ALL */
import dbase using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\bulidings_cell_200m.dbf", clear
rename Sum__m2 BuiltArea
sum BuiltArea
generate total_BuiltArea=r(sum)
keep CELL_ID BuiltArea total_BuiltArea
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\BuiltArea.dta", replace

import delimited using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\HR_HH_Cell200.txt", clear
generate dwllid=substr(name, 1, strpos(name," - ")-1 )
generate CELL_ID=substr(name, strpos(name," - ")+3,.)
destring dwllid CELL_ID total_hr, replace
joinby CELL_ID using "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\BuiltArea.dta", unmatched(master)
generate w_MIN_ALL=total_hr*BuiltArea/total_BuiltArea
collapse (sum) w_MIN_ALL, by(dwllid)
replace w_MIN_ALL=w_MIN_ALL*60
keep dwllid w_MIN_ALL
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp9.dta", replace



/* compiling all data */

use  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp1.dta", clear
joinby dwllid using  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp2.dta", unmatched(master)
drop _m
joinby dwllid using  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp3.dta", unmatched(master)
drop _m
joinby dwllid using  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp4.dta", unmatched(master)
drop _m
joinby dwllid using  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp5.dta", unmatched(master)
drop _m
joinby dwllid using  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp6.dta", unmatched(master)
drop _m
joinby dwllid using  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp7.dta", unmatched(master)
drop _m
joinby dwllid using  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp8.dta", unmatched(master)
drop _m
joinby dwllid using  "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\temp9.dta", unmatched(master)
drop _m
save "C:\Users\wb282057\OneDrive - WBG\Documents\AFR_INF_DR\Labor_Stat\MDG\accessibility_measures\OpenData\spatial_data\spatial_data.dta", replace


[END]